{% for acl in named_acls | dict2items %}
acl {{ acl.key }} {
{% for subnet in acl.value %}
    {{ subnet }};
{% endfor %}
};
{% endfor %}

options {
    directory "{{ named_zone_dir }}";
    pid-file "{{ named_pid_file }}";
    hostname "{{ named_hostname }}";
    version none;
    server-id none;

{% if named_allow_recursion is defined %}
    allow-recursion { {% for acl in named_allow_recursion %}{{ acl }}; {% endfor %}};
{% endif %}

{% if named_forwarders is defined %}
    forwarders {
{% for addr in named_forwarders %}
        {{ addr }};
{% endfor %}
    };
{% endif %}

    dnssec-validation {{ named_dnssec_validation | ternary('yes', 'no') }};
{% if named_interfaces is defined %}
    listen-on { {% for iface in named_interfaces %}{{ iface }}; {% endfor %}};
{% endif %}
};

{% for zone in named_zones %}
zone "{{ zone['name'] }}" {{ zone['class'] | default('IN') }} {
    type {{ zone['type'] | default('master') }};
    file "{{ zone['file'] | default('db.' ~ zone['name']) }}";
};
{% endfor %}
